package com.dtai.gwt;

/**
 * TreeItemPanel
 * @version 1.1
 * @author DTAI, Incorporated
 */
class TreeItemPanel extends PanelGadget {

    protected TreeControl control;
    protected TreeItem treeItem;
    private Gadget gadget;
    protected boolean added;

    /**
     * TreeItemPanel
     * @param treeItem - TBD
     */
    public TreeItemPanel(TreeItem treeItem) {
        this.treeItem = treeItem;
        setBackground(Gadget.transparent);
        setSelectedBackground(Gadget.transparent);
        if (treeItem instanceof TreeNode) {
            setLayout(new GadgetBorderLayout(6,0));
        } else {
            setLayout(new GadgetBorderLayout());
        }
        gadget = treeItem.getGadget();
        gadget.setArg(this);
        add("Center", gadget);
        if (treeItem instanceof TreeNode) {
            add("West", control = new TreeControl((TreeNode)treeItem));
        }
    }

    public String getHelpId() {
        String ghelp = gadget.helpId;
        if (ghelp != null) {
            return ghelp;
        }
        return super.getHelpId();
    }

    /**
     * hasFocus
     * @return boolean
     */
    public boolean hasFocus() {
        return false;
	}

	/**
     * Repaints part of the component. This will result in a call to paint as soon as possible.
     * Notifies the GadgetShell of a damaged area to repair.
     * @param x - the x coordinate
     * @param y - the y coordinate
     * @param width - the width
     * @param height - the height
     * @param setPaintFlag - TBD
     * @param forced - TBD
     * @see repaint
     */
	public void repaint(int x, int y, int width, int height, boolean setPaintFlag,boolean forced) {
	    super.repaint(x,y,width,height,setPaintFlag,forced);
	    ContainerGadget parent = this.parent;
	    if (parent != null) {
    	    parent.repaint(this.x+x-TreePanel.INDENT,this.y+y,
    	                   width+TreePanel.INDENT,height);
    	}
    }
}

