package org.signwriting;

import com.dtai.gwt.ButtonGadget;
import com.dtai.gwt.GadgetDialog;
import com.dtai.gwt.PanelGadget;
import com.dtai.gwt.GadgetBorderLayout;
import com.dtai.gwt.LabelGadget;
import com.dtai.gui.StdDialog;
import java11.awt.event.ActionEvent;
import java11.awt.event.ActionListener;
import java11.awt.event.KeyEvent;
import java11.awt.event.KeyAdapter;

public class AboutDialog extends StdDialog {

    private static final String dialogPrefix = "AboutDialog.";

    private SignWriter signwriter;

    public AboutDialog(SignWriter signwriter) {
        super(signwriter.getFrame(), "About SignWriter", false);
        new Buttons();

        PanelGadget panel = getBody();
        panel.setLayout(new GadgetBorderLayout());
        
        LabelGadget messageLabel = new LabelGadget();
        messageLabel.setHorizAlign( LabelGadget.HORIZ_ALIGN_LEFT );
        messageLabel.setWrapLength(70);
        
        messageLabel.setLabel(
            "SignWriter 5.0\n"+
            "Copyright  1998 Center For Sutton Movement Writing, Inc.\n"+
            "\n"+
            "SignWriting and SignWriter are registered trademarks of the "+
            "Center For Sutton Movement Writing, Inc.\n"+
            "\n"+
            "SignWriter 5.0 developed by DTAI Incorporated (http://www.dtai.com).\n"+
            "DTAI can be reached by email at info@dtai.com.\n"+
            "\n"+
            "Based on SignWriter 4.3, in MS-DOS,\n"+
            "designed and programmed by Richard Gleaves, 1995.\n"+
            "\n"+
            "All SignWriting symbols and keyboard designs by Valerie Sutton.\n"+
            "\n"+
            "Published by:\n"+
            "Deaf Action Committee For SignWriting (DAC)\n"+
            "Center For Sutton Movement Writing, Inc.\n"+
            "P.O. Box 517, La Jolla, CA. 92038-0517\n"+
            "mailto:DAC@SignWriting.org\n"+
            "http://www.SignWriting.org"
        );
        
        panel.add("Center", messageLabel);
    }

    private class Buttons { // Symantec Java compiler bug forced me to
                    // create this bogus class "Buttons"

        public Buttons() {

            addButton("OK",
                new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        hide();
                    }
                }
            );
        }

        private ButtonGadget addButton(String label, ActionListener listener) {
            ButtonGadget button = new ButtonGadget();
            String resourceKey = dialogPrefix+"Buttons."+Resources.labelToKey(label);
            Resources.apply(resourceKey, label, button);
            addButtonGadget(button);
            button.addActionListener(listener);
            return button;
        }
    }
}
