package org.signwriting;

import java.io.RandomAccessFile;
import java.io.IOException;

/**
 * reads the symbol file
 */
public class DictionaryRecord {

    private byte len; // SINT type in pascal appears to be a signed byte
    private byte[] data = new byte[40];
    private int link; // WORD (maybe diff is WORD is unsigned?)
    
    public final int getLink() {
        return link;
    }

    public final byte getLen() {
        return len;
    }

    public final byte[] getData() {
        return data;
    }

    /**
     * constructor, takes a file name, opens it and reads it
     */
    public DictionaryRecord(RandomAccessFile raf) throws IOException {
        len = raf.readByte();
        raf.read(); // skip filler byte
        raf.readFully(data);
        link = PCNumbers.makeUnsignedShort(raf.read(),raf.read());
    }
}
